/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
export declare const userContactProps: {
    showName: {
        type: BooleanConstructor;
        default: boolean;
    };
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示 roleNumber, colType 为 false 时生效
     */
    showNumber: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示 头像
     */
    showImg: {
        type: BooleanConstructor;
        default: boolean;
    };
    placement: StringConstructor;
    /**
     * 数据
     */
    data: {
        type: PropType<{
            userName: string;
            imgUrl: string;
            roleNumber: string;
            tools?: any;
            values: undefined | {
                text: string;
                value: string;
            }[];
        }>;
    };
    espace: ArrayConstructor;
    popperClass: StringConstructor;
    popperAppendToBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    isNewImMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: import("@vue/runtime-core").DefineComponent<{
    showName: {
        type: BooleanConstructor;
        default: boolean;
    };
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示 roleNumber, colType 为 false 时生效
     */
    showNumber: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示 头像
     */
    showImg: {
        type: BooleanConstructor;
        default: boolean;
    };
    placement: StringConstructor;
    /**
     * 数据
     */
    data: {
        type: PropType<{
            userName: string;
            imgUrl: string;
            roleNumber: string;
            tools?: any;
            values: {
                text: string;
                value: string;
            }[] | undefined;
        }>;
    };
    espace: ArrayConstructor;
    popperClass: StringConstructor;
    popperAppendToBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    isNewImMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    showName: {
        type: BooleanConstructor;
        default: boolean;
    };
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示 roleNumber, colType 为 false 时生效
     */
    showNumber: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示 头像
     */
    showImg: {
        type: BooleanConstructor;
        default: boolean;
    };
    placement: StringConstructor;
    /**
     * 数据
     */
    data: {
        type: PropType<{
            userName: string;
            imgUrl: string;
            roleNumber: string;
            tools?: any;
            values: {
                text: string;
                value: string;
            }[] | undefined;
        }>;
    };
    espace: ArrayConstructor;
    popperClass: StringConstructor;
    popperAppendToBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    isNewImMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>>, {
    data: any;
    tiny_mode_root: boolean;
    popperAppendToBody: boolean;
    showArrow: boolean;
    showNumber: boolean;
    isNewImMode: boolean;
    showName: boolean;
    showImg: boolean;
}, {}>;
export default _default;
